Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.xml
Interface ContainerHandleType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface ContainerHandleType

extends XmlObject

An XML containerHandleType(@http://www.bea.com/wli/worklist/xml). This is a complex type.

Nested Class Summary
`static class` | `ContainerHandleType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`String` | `getHostApplicationId()` Gets the "hostApplicationId" element
`String` | `getInstanceId()` Gets the "instanceId" element
`String` | `getSubType()` Gets the "subType" element
`ContainerTypeType.Enum` | `getType()` Gets the "type" element
`boolean` | `isSetHostApplicationId()` True if has "hostApplicationId" element
`boolean` | `isSetInstanceId()` True if has "instanceId" element
`boolean` | `isSetSubType()` True if has "subType" element
`void` | `setHostApplicationId(String hostApplicationId)` Sets the "hostApplicationId" element
`void` | `setInstanceId(String instanceId)` Sets the "instanceId" element
`void` | `setSubType(String subType)` Sets the "subType" element
`void` | `setType(ContainerTypeType.Enum type)` Sets the "type" element
`void` | `unsetHostApplicationId()` Unsets the "hostApplicationId" element
`void` | `unsetInstanceId()` Unsets the "instanceId" element
`void` | `unsetSubType()` Unsets the "subType" element
`XmlString` | `xgetHostApplicationId()` Gets (as xml) the "hostApplicationId" element
`XmlString` | `xgetInstanceId()` Gets (as xml) the "instanceId" element
`XmlString` | `xgetSubType()` Gets (as xml) the "subType" element
`ContainerTypeType` | `xgetType()` Gets (as xml) the "type" element
`void` | `xsetHostApplicationId(XmlString hostApplicationId)` Sets (as xml) the "hostApplicationId" element
`void` | `xsetInstanceId(XmlString instanceId)` Sets (as xml) the "instanceId" element
`void` | `xsetSubType(XmlString subType)` Sets (as xml) the "subType" element
`void` | `xsetType(ContainerTypeType type)` Sets (as xml) the "type" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getHostApplicationId

    String getHostApplicationId()

  Gets the "hostApplicationId" element

### xgetHostApplicationId

    XmlString xgetHostApplicationId()

  Gets (as xml) the "hostApplicationId" element

### isSetHostApplicationId

    boolean isSetHostApplicationId()

  True if has "hostApplicationId" element

### setHostApplicationId

    void setHostApplicationId(String hostApplicationId)

  Sets the "hostApplicationId" element

### xsetHostApplicationId

    void xsetHostApplicationId(XmlString hostApplicationId)

  Sets (as xml) the "hostApplicationId" element

### unsetHostApplicationId

    void unsetHostApplicationId()

  Unsets the "hostApplicationId" element

### getType

    ContainerTypeType.Enum getType()

  Gets the "type" element

### xgetType

    ContainerTypeType xgetType()

  Gets (as xml) the "type" element

### setType

    void setType(ContainerTypeType.Enum type)

  Sets the "type" element

### xsetType

    void xsetType(ContainerTypeType type)

  Sets (as xml) the "type" element

### getSubType

    String getSubType()

  Gets the "subType" element

### xgetSubType

    XmlString xgetSubType()

  Gets (as xml) the "subType" element

### isSetSubType

    boolean isSetSubType()

  True if has "subType" element

### setSubType

    void setSubType(String subType)

  Sets the "subType" element

### xsetSubType

    void xsetSubType(XmlString subType)

  Sets (as xml) the "subType" element

### unsetSubType

    void unsetSubType()

  Unsets the "subType" element

### getInstanceId

    String getInstanceId()

  Gets the "instanceId" element

### xgetInstanceId

    XmlString xgetInstanceId()

  Gets (as xml) the "instanceId" element

### isSetInstanceId

    boolean isSetInstanceId()

  True if has "instanceId" element

### setInstanceId

    void setInstanceId(String instanceId)

  Sets the "instanceId" element

### xsetInstanceId

    void xsetInstanceId(XmlString instanceId)

  Sets (as xml) the "instanceId" element

### unsetInstanceId

    void unsetInstanceId()

  Unsets the "instanceId" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD